Subject: Re: [PATCH] quota: Use %pV and __attribute__((format (printf in __quota_error and fix fallout

From: Jan Kara <[email-masked]>
Date: Wed, 24 Nov 2010 17:30:53 +0100

On Wed 24-11-10 07:01:17, Joe Perches wrote:
> On Wed, 2010-11-24 at 13:50 +0100, Jan Kara wrote:
> > On Tue 23-11-10 18:49:54, Joe Perches wrote:
> > > Use %pV in __quota_error so a single printk can not be
> > > interleaved with other logging messages.
> > > Add __attribute__((format (printf, 3, 4))) so format
> > > and arguments can be verified by compiler.
> > > Make sure printk formats and arguments match.
> > > 
> > > Block # needed a pointer dereference.
> >   I already had a similar patch from you in my tree. So I've replaced it.
> 
> Perhaps you can get your tree into linux-next.
> 
> I believe you only have to send a request to
> Stephen Rothwell (cc'd).
  It's there but I didn't push the for_next branch. I'll do that as soon
as I'm able to finish some testing on it...

								Honza
-- 
Jan Kara <[email-masked]>
SUSE Labs, CR